Subject: RE: [Mipshop] HMIPv6 improvements in new list of MIPSHOP items for new charter

From: "Soliman, Hesham" <[email-masked]>
Date: Thu, 12 May 2005 17:15:47 -0400

>  > MN-MAP security for HMIPv6
 > >      I'd like to think that such an item could be included,
 > > but we do need to see
 > >      a draft on this subject in very short order.
 > > Conceptually, it does not seem
 > >      a much more difficult problem than MN-AR security, so
 > > depending on how quickly
 > >      the relevant draft can be produced, this could be
 > > entertained. It seems to me
 > >      that without this piece in place, talking about other
 > > HMIP work in MIPSHOP
 > >      is premature (but it should continue elsewhere). Like
 > > FMIP, other work could
 > >      be taken on later on.
 > >
 > >      perhaps (if a first solid draft appears shortly) one 
 > PS document
 > 
 > ...that inclusion is highly dependent on having a working 
 > draft *soon*.
 > 
 > So can you have a first draft (individual submission is ok) 
 > within the next
 > couple of weeks?

=> First, let me repeat the question I asked earlier during this 
discussion (I never saw an answer for it): What do we want to address
in this draft? Is this to address a "different" way of securing
MN-MAP communication? 

Regarding the timeline, I can't produce it in two weeks but I can
aim for something in early June. But of course I can't produce 
anything until we agree on the goal of this draft.

thx,
Hesham

 > thanks,
 > -gabriel

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: "James Kempf" <[email-masked]>
Date: Thu, 12 May 2005 15:04:16 -0700

My particular concern is deployability of security.

W.r.t. authenticating and authorizing for HMIP service, in the Bootstrapping
DT, we discussed security for dynamic assignment of local home agent, and
there are some very difficult issues that could potentially tightly
constrain how a dynamically assigned local home agent could be deployed. A
HMIP MAP is very similar to dynamic local home agent. Assuming certs can be
deployed on all hosts, as the current draft does, is not realistic, though
it may be an option in some fairly limited circumstances.

Also, I think it might be useful to say something about DoS attack. Any time
a network node address is handed out to a host, the potential for DoS attack
is there. To a certain extent, a MIP HA faces the same problem but it is
more limited. Since HMIP is proposing that MAPs become widely deployed as
part of access networks, there is a potential for widespread disruption of
service at the access network level if a DDoS attack is launched on an
operator's access network.

            jak

---

From: Alper Yegin <[email-masked]>
Date: Fri, 13 May 2005 13:51:34 -0700

> HMIP MAP is very similar to dynamic local home agent. Assuming certs
can
> be

Using RADIUS/Diameter between the MAP and a AAA server is another
option. The possibly long overhaul between the end-points is a concern
for performance, but otherwise this should work.

> Also, I think it might be useful to say something about DoS attack.
Any
> time

I cannot understand why we'd be concerned about publishing the IP
address of a MAP to a bunch of locally attached hosts (which are
authenticated, and traceable), while we are perfectly fine with
publishing IP address of a HA to the whole Internet (no authentication,
no traceability, size and threats incomparable to a well-managed access
network)... I don't think one can practically boost the security around
the HA to compensate for the difference in threat levels.

Alper